#
#	Sample configuration file for cern_httpd for running it
#	as a proxy server WITHOUT caching.
#
# See:
#	<http://info.cern.ch/hypertext/WWW/Daemon/User/Config/Overview.html>
#
# for more information.
#
# Written by:
#	Ari Luotonen  April 1994  <luotonen@dxcern.cern.ch>
#

#
#	Set this to point to the directory where you unpacked this
#	distribution, or wherever you want httpd to have its "home"
#
ServerRoot	/usr/lib/httpd/
ServerType	Standalone
#
#	Set the port for proxy to listen to
#
HostName	friedrich.gausz.c.sn.schule.de

PidFile		/var/run/httpd.pid

DNSLockup	On

Welcome		Welcome.html
Welcome		welcome.html
Welcome		index.html
Welcome		home.html

UserDir		WWW	
#
#	General setup; on some systems, like HP, nobody is defined so
#	that setuid() fails; in those cases use a different user id.
#
UserId		root	
GroupId		users

#
#	Logging; if you want logging uncomment these lines and specify
#	locations for your access and error logs
#
#AccessLog	/usr/lib/httpd/log/access
ErrorLog	/usr/lib/httpd/log/errors
LogFormat	Common
LogTime		LocalTime

DirAccess	On
#
#	Proxy protections; if you want only certain domains to use
#	your proxy, uncomment these lines and specify the Mask
#	with hostname templates or IP number templates:
#
#Protection PROT-SETUP-USERS {
#        UserId         	555 
#        GroupId         99 
#        ServerId        192.168.1.1 
#        AuthType        Basic
#        PasswdFile      /etc/passwd
#        GroupFile       /etc/group
#        GET-Mask        user, user, group, group, user
#}
 
#Protection PROT-SETUP-HOSTS {
#        UserId          555 
#        GroupId         99 
#        ServerId        192.168.1.1 
#        AuthType        Basic
#        PasswdFile      /etc/passwd
#        GroupFile       /etc/group
#        GET-Mask        @(192.168.1.*)
#}

# Protection PROXY-PROT {
# 	ServerId	YourProxyName
# 	Mask		@(*.cern.ch, 128.141.*.*, *.ncsa.uiuc.edu)
# }
# Protect  *  PROXY-PROT

#
#	Pass the URLs that this proxy is willing to forward.
#
Exec    /cgi-bin/*      /usr/lib/httpd/cgi-bin/*
 
http_proxy	http://www-cache.tu-chemnitz.de:8080/
ftp_proxy	http://www1.tu-chemnitz.de:80/
no_proxy	friedrich.gausz.c.sn.schule.de,gausz.c.sn.schule.de


Map	http://friedrich.gausz.c.sn.schule.de/* /*
Map	http://192.168.1.1/* /*
Map	http://gausz.c.sn.schule.de/* /*
Pass	/httpd-internal-icons/*	/usr/lib/httpd/icons/*
Pass	/www-globale-bilder/* /www-bilder/*
Pass	/~*
Pass	/* /www/*
Pass	http:*
Pass	ftp:*
Pass	gopher:*
Fail	wais:*

# Caching...
Caching         On
CacheRoot       /var/spool/.http-cache
CacheSize       100

NoCaching	http://friedrich.gausz.c.sn.schule.de/*

Gc		Off
KeepExpired	On

